Service Tag Information - List

Gets a list of service tag information resources with pagination.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/serviceTagDetails?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/serviceTagDetails?api-version=2025-05-01&noAddressPrefixes={noAddressPrefixes}&tagName={tagName}

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

noAddressPrefixes
query

boolean

Do not return address prefixes for the tag(s).

tagName
query

string

Return tag information for a particular tag.

Responses

Name Type Description
200 OK

ServiceTagInformationListResult

The request has succeeded.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get list of service tags
Get list of service tags with no address prefixes
Get list of service tags with tag name.

Get list of service tags

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westeurope/serviceTagDetails?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "ApiManagement",
      "id": "ApiManagement",
      "properties": {
        "addressPrefixes": [
          "13.64.39.16/32",
          "40.74.146.80/31",
          "40.74.147.32/28"
        ],
        "changeNumber": "7",
        "region": "",
        "systemService": "AzureApiManagement"
      }
    },
    {
      "name": "ApiManagement.AustraliaCentral",
      "id": "ApiManagement.AustraliaCentral",
      "properties": {
        "addressPrefixes": [
          "20.36.106.68/31",
          "20.36.107.176/28"
        ],
        "changeNumber": "2",
        "region": "australiacentral",
        "systemService": "AzureApiManagement"
      }
    }
  ]
}

Get list of service tags with no address prefixes

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westeurope/serviceTagDetails?api-version=2025-05-01&noAddressPrefixes=true

Sample response

{
  "value": [
    {
      "name": "ApiManagement",
      "id": "ApiManagement",
      "properties": {
        "addressPrefixes": [],
        "changeNumber": "7",
        "region": "",
        "systemService": "AzureApiManagement"
      }
    },
    {
      "name": "ApiManagement.AustraliaCentral",
      "id": "ApiManagement.AustraliaCentral",
      "properties": {
        "addressPrefixes": [],
        "changeNumber": "2",
        "region": "australiacentral",
        "systemService": "AzureApiManagement"
      }
    }
  ]
}

Get list of service tags with tag name.

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westeurope/serviceTagDetails?api-version=2025-05-01&tagName=ApiManagement

Sample response

{
  "value": [
    {
      "name": "ApiManagement",
      "id": "ApiManagement",
      "properties": {
        "addressPrefixes": [
          "13.64.39.16/32",
          "40.74.146.80/31",
          "40.74.147.32/28"
        ],
        "changeNumber": "7",
        "region": "",
        "systemService": "AzureApiManagement"
      }
    }
  ]
}

Definitions

Name Description
Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

ServiceTagInformation

The service tag information.

ServiceTagInformationListResult

Response for Get ServiceTagInformation API service call. Retrieves the list of service tag information resources.

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ServiceTagInformation

The service tag information.

Name Type Description
id

string

The ID of service tag.

name

string

The name of service tag.

properties

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

serviceTagChangeNumber

string

The iteration number of service tag object for region.

ServiceTagInformationListResult

Response for Get ServiceTagInformation API service call. Retrieves the list of service tag information resources.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ServiceTagInformation[]

The ServiceTagInformation items on this page

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

Name Type Description
addressPrefixes

string[]

The list of IP address prefixes.

changeNumber

string

The iteration number of service tag.

region

string

The region of service tag.

state

string

The state of the service tag.

systemService

string

The name of system service.